summary refs log tree commit diff
path: root/.config/rc/init.d/syncthing
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
committerRobert Günzler <r@gnzler.io>2026-04-08 13:18:14 +0900
commitb61b58ce2c1371d6f904f108fa7feed3abfbe5c7 (patch)
tree008a5cf54ecbfffb97ddac30e44c8ab224395ab0 /.config/rc/init.d/syncthing
parentd4620f3ac119263fee90bd819eadaf84fc8d50b7 (diff)
*
Automated-commit-by: dots
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to '.config/rc/init.d/syncthing')
-rwxr-xr-x.config/rc/init.d/syncthing14
1 files changed, 14 insertions, 0 deletions
diff --git a/.config/rc/init.d/syncthing b/.config/rc/init.d/syncthing
new file mode 100755
index 0000000..083b092
--- /dev/null
+++ b/.config/rc/init.d/syncthing
@@ -0,0 +1,14 @@
+#!/sbin/openrc-run
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+supervisor=supervise-daemon
+command="/usr/bin/syncthing"
+command_args="serve --no-browser --no-restart --logflags=0"
+error_logger="logger -t '${RC_SVCNAME}' -p daemon.error"
+
+extra_started_commands="browser"
+browser() {
+	syncthing browser
+	eend $? "Opened syncthing gui in the browser"
+}